<?php

// +----------------------------------------------------------------------
// | VitPHP
// +----------------------------------------------------------------------
// | 版权所有 2018~2021 藁城区创新网络电子商务中心 [ http://www.vitphp.cn ]
// +----------------------------------------------------------------------
// | VitPHP是一款免费开源软件,您可以访问http://www.vitphp.cn/以获得更多细节。
// +----------------------------------------------------------------------


namespace app\cx_gqimg\controller;


use think\facade\Db;
use think\facade\View;
use vitphp\admin\controller\BaseController;

class Setup extends BaseController
{
    /**
     * @title 对接微信
     */
    public function weixin(){
        $pid = input('pid');
        $weixin = Db::name('cx_gqimg_weixin')->where('pid',$pid)->find();
        if(request()->isPost()){
            $param = [
                'pid'=>input('pid'),
                'name'=>input('name'),
                'appid'=>input('appid'),
                'appsecret'=>input('appsecret'),
                'fx_title'=>input('fx_title'),
                'fx_miaoshu'=>input('fx_miaoshu'),
                'fx_img'=>input('fx_img'),
                'gg_text'=>input('gg_text'),
                'gg_url'=>input('gg_url'),
                'qrcode'=>input('qrcode')
            ];
            if ($weixin){
                $res = Db::name('cx_gqimg_weixin')->where('pid',$pid)->update($param);
            }else{
                $res = Db::name("cx_gqimg_weixin")->save($param);
            }
            if($res){
                $this->success("保存成功！", ToUrl('/cx_gqimg/setup/weixin'));
            }else{
                $this->error("保存失败！");
            }
        }
        View::assign([
            'domain' => $this->request->domain(),
            'weixin'=>isset($weixin)?$weixin:''
        ]);
        return View::fetch();
    }
}